/* ====================================================================
 *
 *
 * Copyright (c) 1999-2002 CPortals Systems, Inc.  All rights reserved.
 *
 * This file is part of OSMQ.
 *
 *   OSMQ is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   OSMQ is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with OSMQ; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *
 * OSMQ is a trademark of CPortals Systems, Inc.
 * ====================================================================
 */
 
package osmq.util;

import java.util.*;

// This defines a new event, with minimum state.
public class StateEvent extends java.util.EventObject
  {
  final public static int TIME_EVENT            = 1;
  final public static int SUCCESS_EVENT         = 2;
  final public static int FAIL_EVENT            = 3;
  final public static int INITIALIZATION_EVENT  = 4;
  final public static int CLOSE_EVENT           = 5;
  final public static int HALT_EVENT            = 6;
  final public static int SIZE_CHANGE_EVENT     = 7;
  final public static int SIZE_INCREASE_EVENT   = 8;
  final public static int SIZE_DECREASE_EVENT   = 9;
  final public static int PAUSE_EVENT           = 10;
  final public static int UNPAUSE_EVENT         = 11;
  final public static int DISCOVERY_SERV_ACTIVE  = 12;
  final public static int PULSE_SERV_ACTIVE      = 13;
  final public static int RECOVERY_SERV_ATTACHED = 14;
  final public static int RECOVERY_SERV_DETACHED = 15;
  final public static int TASK_COMPLETED         = 16;
  final public static int STATE_EVENT            = 17; // default
  private int id=0;

  public int getID() {return id;}

  public StateEvent(Object source, int i)
    {
    super(source);
    id=i;
    }
  }





