/* ====================================================================
 *
 *
 * Copyright (c) 1999-2002 CPortals Systems, Inc.  All rights reserved.
 *
 * This file is part of OSMQ.
 *
 *   OSMQ is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   OSMQ is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with OSMQ; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *
 * OSMQ is a trademark of CPortals Systems, Inc.
 * ====================================================================
 */
 

package osmq.datatypes;

public interface DataType
    {
    final public static int UNKNOWN    = 0;
    final public static int STRING     = 1;
    final public static int RIGHTALIGN = 2;
    final public static int CHAR       = 3;
    final public static int INTEGER    = 4;
    final public static int LONG       = 5;
    final public static int DOUBLE     = 6;
    final public static int CURRENCY   = 7;   // uses adt Currency
    final public static int DECIMAL    = 8;   // uses BigDecimal
    final public static int SIZE       = 9;
    final public static int SSN        = 10;
    final public static int PHONE      = 11;
    }